# Version of CTSim
%define version 3.0.0alpha5

Summary: CTSim - Open-Source Computed Tomography Simulator
Name: ctsim
Version: %{version}
Release: 1
Packager: Kevin Rosenberg <kevin@rosenberg.net>
Source: ftp.ctsim.org:/pub/ctsim/ctsim-%{version}.tar.gz
Copyright: GPL
Group: Applications/Scientific

%description
CTSim is a Computed Tomography Simulator.

%prep
%setup 

%build
CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr/local --enable-static
make

%install
install -s -m 755 -o 0 -g 0 src/ctsim /usr/local/bin/ctsim
install -s -m 755 -o 0 -g 0 tools/ctsimtext /usr/local/bin/ctsimtext
install -m 755 -o 0 -g 0 tools/sample-ctsim.sh /usr/local/bin/sample-ctsim.sh
rm -f /usr/local/bin/if1
rm -f /usr/local/bin/if2
rm -f /usr/local/bin/ifexport
rm -f /usr/local/bin/ifinfo
rm -f /usr/local/bin/phm2if
rm -f /usr/local/bin/phm2pj
rm -f /usr/local/bin/pj2if
rm -f /usr/local/bin/pjinfo
rm -f /usr/local/bin/pjrec
ln -s /usr/local/bin/ctsimtext /usr/local/bin/if1
ln -s /usr/local/bin/ctsimtext /usr/local/bin/if2
ln -s /usr/local/bin/ctsimtext /usr/local/bin/ifexport
ln -s /usr/local/bin/ctsimtext /usr/local/bin/ifinfo
ln -s /usr/local/bin/ctsimtext /usr/local/bin/phm2if
ln -s /usr/local/bin/ctsimtext /usr/local/bin/phm2pj
ln -s /usr/local/bin/ctsimtext /usr/local/bin/pj2if
ln -s /usr/local/bin/ctsimtext /usr/local/bin/pjinfo
ln -s /usr/local/bin/ctsimtext /usr/local/bin/pjrec

%files
%doc NEWS README COPYING ChangeLog INSTALL

/usr/local/bin/ctsim
/usr/local/bin/ctsimtext
/usr/local/bin/sample-ctsim.sh


